/**
 * Data model pour les traits
 */
export default class EcrymeTraitDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      traitype: new fields.StringField({ initial: "normal" }),
      level: new fields.NumberField({ initial: 1, integer: true, min: 1 })
    };
  }
}
